# Simulate Now

ReRuns simulation with given id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

Simulate Now endpoint runs the existing simulation using the Simulation ID you have got from the Simulation Detail endpoint and returns the simulation result.

Example

Re-simulate existing simulation with id 7318

curl --location --request POST 'https://api.picussecurity.com/v1/simulations/7318/simulate-now' \
--header 'content-type: application/json' \
--header 'Authorization: Bearer access_token' \
{
    "simulation": {
        "id": 7318,
        "name": "Test Post Create Instant",
        "description": "",
        "schedule_id": 150,
        "agent_id": 1556,
        "is_active": true,
        "integrations": [],
        "protocols": null,
        "obfuscation_methods": null,
        "template_id": 5495
    },
    "run_info": {
        "id": 17116,
        "status": "SCHEDULED",
        "browser": ""
    },
    "run_immediately": true,
    "simulation_already_exist": false
}
Path Params
uint64
required

Simulation ID (URI parameter)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json